Get a published product
curl --request GET \
--url https://api.craveup.com/api/v1/storefront/locations/{locationId}/products/{productId}import requests
url = "https://api.craveup.com/api/v1/storefront/locations/{locationId}/products/{productId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.craveup.com/api/v1/storefront/locations/{locationId}/products/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"price": "<string>",
"displayPrice": "<string>",
"modifierIds": [
"<string>"
],
"description": "<string>",
"availability": "<string>",
"images": [
"<string>"
],
"locationId": "<string>",
"modifiers": [
{
"id": "<string>",
"name": "<string>",
"rule": {
"min": 123,
"max": 123
},
"items": [
{
"id": "<string>",
"name": "<string>",
"price": "<string>",
"maxQuantity": 4503599627370495,
"childGroups": [
{
"groupId": "<string>",
"overrides": {
"min": 123,
"max": 123
},
"applyPerParentQuantity": true,
"group": {
"id": "<string>",
"name": "<string>",
"rule": {
"min": 123,
"max": 123
},
"items": [
{
"id": "<string>",
"name": "<string>",
"price": "<string>",
"maxQuantity": 4503599627370495
}
],
"description": "<string>",
"imageUrl": "<string>"
},
"circular": true
}
]
}
],
"description": "<string>",
"imageUrl": "<string>"
}
],
"nutrition": {
"calorieCount": 123,
"dietaryPreferences": [
"<string>"
],
"ingredients": [
"<string>"
]
}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}Products
Get a published product
GET
/
locations
/
{locationId}
/
products
/
{productId}
Get a published product
Path Parameters
Required string length:
1 - 128Required string length:
1 - 128Response
Published product.
Required string length:
1 - 128Pattern:
^-?\d+(?:\.\d+)?$Available options:
usd, gbp, aed, aud Required string length:
1 - 128Required string length:
1 - 128Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I